package lib;

import kernel.peripherals.Redstone.BundleMask;

enum abstract Color(Int) from cc.Colors.Color to cc.Colors.Color {
	var White = 0x1;
	var Orange = 0x2;
	var Magenta = 0x4;
	var LightBlue = 0x8;
	var Yellow = 0x10;
	var Lime = 0x20;
	var Pink = 0x40;
	var Gray = 0x80;
	var LightGray = 0x100;
	var Cyan = 0x200;
	var Purple = 0x400;
	var Blue = 0x800;
	var Brown = 0x1000;
	var Green = 0x2000;
	var Red = 0x4000;
	var Black = 0x8000;

	@:op(A + B)
	@:op(A | B)
	public inline function combine(rhs: Color):BundleMask {
		return this | rhs;
	}
}
